<template>
  <v-layer>
    <ProxyNode v-for="(node, i) in nodes" :index="i" :node="node" :key="`node-${node.id}`" :dragAtStart="dragAtStart" />
  </v-layer>
</template>

<script lang="ts">
import { PropType } from "vue"
import { NodeWrapper } from "@/lib/gui/wrappers/NodeWrapper"
import ProxyNode from "@/components/ProxyNode.vue"

export default {
  name: "NodesLayer",
  components: { ProxyNode },
  props: {
    nodes: {
      type: Array as PropType<NodeWrapper[]>,
      default: []
    },
    dragAtStart: {
      type: Boolean,
      default: false
    }
  }
}
</script>